package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.user.*;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.user.LoginResp;
import org.wcs.model.vo.serve.user.QueryUserMenuPermissionSimpleTreeResp;
import org.wcs.model.vo.serve.user.QueryUserResp;
import org.wcs.model.vo.serve.user.UserPermissionResp;

import java.util.List;

public interface IUserService {
    AppServeDataResponse<LoginResp> login(LoginReq loginReq); // 登录校验
    AppServeDataResponse<UserPermissionResp> permission(); // 获取权限
    AppServeDataResponse<List<QueryUserResp>> queryUser(QueryUserReq queryUserReq); // 查询用户
    AppServeResponse logoutUser(String userId); // 登出用户
    AppServeResponse updateUser(UpdateUserReq updateUserReq); // 修改用户信息
    AppServeResponse deleteUser(String userId); // 删除用户
    AppServeResponse createUser(CreateUserReq createUserReq); // 创建用户
    AppServeDataResponse<List<QueryUserMenuPermissionSimpleTreeResp>> queryUserMenuPermissionSimpleTree(); // 查找用户菜单权限树
    AppServeResponse updateSelfUser(UpdateSelfUserReq updateSelfUserReq); // 修改自己的信息
}
